Package org.apache.calcite.avatica.proto

## Interface Responses.PrepareResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `Responses.PrepareResponse`, `Responses.PrepareResponse.Builder`

Enclosing class:
  Responses

    public static interface Responses.PrepareResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`Responses.RpcMetadata` `getMetadata()` `.RpcMetadata metadata = 2;`
`Responses.RpcMetadataOrBuilder` `getMetadataOrBuilder()` `.RpcMetadata metadata = 2;`
`Common.StatementHandle` `getStatement()` `.StatementHandle statement = 1;`
`Common.StatementHandleOrBuilder` `getStatementOrBuilder()` `.StatementHandle statement = 1;`
`boolean` `hasMetadata()` `.RpcMetadata metadata = 2;`
`boolean` `hasStatement()` `.StatementHandle statement = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### hasStatement

    boolean hasStatement()

`.StatementHandle statement = 1;`

#### getStatement

    Common.StatementHandle getStatement()

`.StatementHandle statement = 1;`

#### getStatementOrBuilder

    Common.StatementHandleOrBuilder getStatementOrBuilder()

`.StatementHandle statement = 1;`

#### hasMetadata

    boolean hasMetadata()

`.RpcMetadata metadata = 2;`

#### getMetadata

    Responses.RpcMetadata getMetadata()

`.RpcMetadata metadata = 2;`

#### getMetadataOrBuilder

    Responses.RpcMetadataOrBuilder getMetadataOrBuilder()

`.RpcMetadata metadata = 2;`